#include <string>
#include <sstream>
#include "calc.h"

template <typename T>
bool FromString(T &aValue, const std::string &aStr)
{
   std::stringstream ss(aStr);
   return ss >> aValue;
}

double CalculatorClass::Add(const std::string &aS1, const std::string &aS2)
{
   double N1, N2;
   FromString(N1, aS1);
   FromString(N2, aS2);

   return N1 + N2;
}
